C--------------------------------------------------------------------------
        block data ftbkdt

C       initialize the BUFPNT pointers to zero, in case the compiler does
C       not do it automatically

C       COMMON BLOCK DEFINITIONS:--------------------------------------------
        integer nb,ne
        parameter (nb = 12)
        parameter (ne = 128)
        integer bufnum,bufpnt,reclen,recnum,bytnum
        integer chdu,maxhdu,hdstrt,hdend,nxthdr,dtstrt
        logical wrmode,modify
        real compid
        common/ft0001/bufnum(199),bufpnt(nb),reclen(199),recnum(nb),
     &  bytnum(nb),wrmode(nb),modify(nb),chdu(nb),maxhdu(nb),
     &  hdstrt(nb,ne),hdend(nb),nxthdr(nb),dtstrt(nb),compid
C       END OF COMMON BLOCK DEFINITIONS-----------------------------------

        data bufpnt/nb*0/
        data compid/1.1111111111/
C       compid is used by FITSIO to determine at run time what type of
C       machine it is running on.  Two I*2 integers are equivalenced to
C       the R*4 value of 1.111111111.  The resulting value of the integers
C       is machine specific, depending on whether R*4 values are stored in
C       IEEE format or not, and whether the bytes are swapped or not.
        end
